Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 7005

Summary: mc hang downloading from wu-ftp-2.6.0-1
Product: [Retired] Red Hat Linux Reporter: Gabriel Gaxiola <ggaxiola>
Component: mcAssignee: Jonathan Blandford <jrb>
Status: CLOSED RAWHIDE QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 6.1CC: ddumas
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-02-03 18:46:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Gabriel Gaxiola 1999-11-15 05:18:56 UTC
The new wu-ftp update makes mc hang....
mc has been fixed for virtual file systems ftp's.....
But you didn't publish the update as rpm binary
Gabriel

Comment 1 Rafal Podeszwa 1999-11-16 16:07:59 UTC
You may use the following patch taken from mc-4.5.41.

------BEGIN-PATCH
--- mc-4.5.39-pre9/vfs/ftpfs.c.orig     Wed Sep 22 21:18:51 1999
+++ mc-4.5.39-pre9/vfs/ftpfs.c  Tue Nov 16 16:31:14 1999
@@ -1644,12 +1644,13 @@
            linear_abort(fe);

     if (!n) {
+       close (fe->data_sock);
+       fe->data_sock = -1;
+
         if ((get_reply (qsock (fe->bucket), NULL, 0) != COMPLETE)) {
            my_errno = EIO;
            n=-1;
        }
-       close (fe->data_sock);
-       fe->data_sock = -1;
     }
     ERRNOR (errno, n);
 }
---END-PATCH